import request from '@/utils/request'

// 查询通用积分消耗退还统计（不含看课领的积分）列表
export function listIntegralCount(query) {
  return request({
    url: '/integralCount/integralCount/list',
    method: 'get',
    params: query
  })
}

// 查询通用积分消耗退还统计（不含看课领的积分）详细
export function getIntegralCount(id) {
  return request({
    url: '/integralCount/integralCount/' + id,
    method: 'get'
  })
}

// 新增通用积分消耗退还统计（不含看课领的积分）
export function addIntegralCount(data) {
  return request({
    url: '/integralCount/integralCount',
    method: 'post',
    data: data
  })
}

// 修改通用积分消耗退还统计（不含看课领的积分）
export function updateIntegralCount(data) {
  return request({
    url: '/integralCount/integralCount',
    method: 'put',
    data: data
  })
}

// 删除通用积分消耗退还统计（不含看课领的积分）
export function delIntegralCount(id) {
  return request({
    url: '/integralCount/integralCount/' + id,
    method: 'delete'
  })
}

// 导出通用积分消耗退还统计（不含看课领的积分）
export function exportIntegralCount(query) {
  return request({
    url: '/integralCount/integralCount/export',
    method: 'get',
    params: query
  })
}